Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.httpclient
Class SingleHttpConnectionManager

    java.lang.Object
      org.apache.commons.httpclient.SimpleHttpConnectionManager
          org.archive.httpclient.SingleHttpConnectionManager

All Implemented Interfaces:
  org.apache.commons.httpclient.HttpConnectionManager

    public class SingleHttpConnectionManager

extends org.apache.commons.httpclient.SimpleHttpConnectionManager

An HttpClient-compatible HttpConnection "manager" that actually just gives out a new connection each time -- skipping the overhead of connection management, since we already throttle our crawler with external mechanisms.

Author:
  gojomo

Field Summary

Fields inherited from class org.apache.commons.httpclient.SimpleHttpConnectionManager
`httpConnection`

Constructor Summary
`SingleHttpConnectionManager()`

Method Summary
`(package private) static void` | `finishLast(org.apache.commons.httpclient.HttpConnection conn)`
`org.apache.commons.httpclient.HttpConnection` | `getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)`
`void` | `releaseConnection(org.apache.commons.httpclient.HttpConnection conn)`

Methods inherited from class org.apache.commons.httpclient.SimpleHttpConnectionManager
`closeIdleConnections, getConnection, getConnection, getParams, isConnectionStaleCheckingEnabled, setConnectionStaleCheckingEnabled, setParams, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleHttpConnectionManager

    public SingleHttpConnectionManager()

Method Detail

### getConnectionWithTimeout

    public org.apache.commons.httpclient.HttpConnection getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration hostConfiguration,
                                                                                 long timeout)

  Specified by:
    `getConnectionWithTimeout` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  Overrides:
    `getConnectionWithTimeout` in class `org.apache.commons.httpclient.SimpleHttpConnectionManager`

### releaseConnection

    public void releaseConnection(org.apache.commons.httpclient.HttpConnection conn)

  Specified by:
    `releaseConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  Overrides:
    `releaseConnection` in class `org.apache.commons.httpclient.SimpleHttpConnectionManager`

### finishLast

    static void finishLast(org.apache.commons.httpclient.HttpConnection conn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.